> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pragmatiks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Active

> List all active agents and sessions for the organization.

Returns:
    List of active presence entries.



## OpenAPI

````yaml https://api.pragmatiks.io/openapi.json get /presence/
openapi: 3.1.0
info:
  title: Pragma API
  version: 0.1.0
servers: []
security: []
paths:
  /presence/:
    get:
      tags:
        - presence
      summary: List Active
      description: |-
        List all active agents and sessions for the organization.

        Returns:
            List of active presence entries.
      operationId: presence-list_active
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/PresenceEntry'
                type: array
                title: Response Presence-List Active
components:
  schemas:
    PresenceEntry:
      properties:
        agent_id:
          type: string
          title: Agent Id
        agent_type:
          $ref: '#/components/schemas/pragma_api__models__presence__AgentType'
        name:
          type: string
          title: Name
        organization_id:
          type: string
          title: Organization Id
        activity:
          anyOf:
            - type: string
            - type: 'null'
          title: Activity
        resource_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Resource Id
        registered_at:
          type: string
          format: date-time
          title: Registered At
        last_heartbeat:
          type: string
          format: date-time
          title: Last Heartbeat
      type: object
      required:
        - agent_id
        - agent_type
        - name
        - organization_id
      title: PresenceEntry
      description: |-
        Presence registration for an active agent or human session.

        Attributes:
            agent_id: Unique identifier for the connected agent or session.
            agent_type: Whether the agent is external (MCP), internal, or human.
            name: Human-readable display name.
            organization_id: Organization the agent belongs to.
            activity: Description of current activity, if any.
            resource_id: Resource the agent is currently working on, if any.
            registered_at: Timestamp when presence was first registered.
            last_heartbeat: Timestamp of the most recent heartbeat.
    pragma_api__models__presence__AgentType:
      type: string
      enum:
        - external
        - internal
        - human
      title: AgentType
      description: Type of agent connected to the platform.

````